--- fltk-1.3.3/src/Fl_Help_View.cxx	2014-08-21 14:18:32.000000000 +0200
+++ fltk-1.3.3_mod/src/Fl_Help_View.cxx	2016-01-13 23:26:47.564576220 +0100
@@ -281,8 +281,8 @@
   Fl_Help_Block	*temp;				// New block
 
 
-//  printf("add_block(s = %p, xx = %d, yy = %d, ww = %d, hh = %d, border = %d)\n",
-//         s, xx, yy, ww, hh, border);
+  // printf("add_block(s = %p, xx = %d, yy = %d, ww = %d, hh = %d, border = %d)\n",
+  //        s, xx, yy, ww, hh, border);
 
   if (nblocks_ >= ablocks_)
   {
@@ -433,7 +433,7 @@
   const char		*ptr,		// Pointer to text in block
 			*attrs;		// Pointer to start of element attributes
   char			*s,		// Pointer into buffer
-			buf[1024],	// Text buffer
+			*buf,		// Text buffer
 			attr[1024];	// Attribute buffer
   int			xx, yy, ww, hh;	// Current positions and sizes
   int			line;		// Current line
@@ -447,6 +447,9 @@
   int			underline,	// Underline text?
                         xtra_ww;        // Extra width for underlined space between words
 
+  size_t buf_size = 1024;
+  buf = (char*)calloc(sizeof(char), buf_size);
+
   // Draw the scrollbar(s) and box first...
   ww = w();
   hh = h();
@@ -511,6 +514,12 @@
       needspace = 0;
       underline = 0;
 
+      if((block->end - block->start) > buf_size)
+      {
+        buf_size = (size_t)(block->end - block->start);
+        buf = (char*) realloc(buf, buf_size);
+      }
+
       initfont(font, fsize, fcolor);
 
       for (ptr = block->start, s = buf; ptr < block->end;)
@@ -977,6 +986,7 @@
       }
     }
 
+  free(buf);
   fl_pop_clip();
 }
 
